package function_api_controllers

import (
	"github.com/astaxie/beego"
	"fmt"
)

func FunctionAPIControllersRegisterRouters() {
	fmt.Println("开始吧")
	beego.Router("/api/function/gettodayinfo",&FunctionBaseAPIController{},"Get:GetTodayInfo")
	beego.Router("/api/function/getyestodayinfo",&FunctionBaseAPIController{},"Get:GetYestodayInfo")
	beego.Router("/api/function/getweekinfo",&FunctionBaseAPIController{},"Get:GetWeekInfo")
	beego.Router("/api/function/getmonthinfo",&FunctionBaseAPIController{},"Get:GetMonthInfo")
	beego.Router("/api/function/getthreemonthinfo",&FunctionBaseAPIController{},"Get:GetThreeMonthInfo")
	beego.Router("/admin/function/gethalfyearinfo",&FunctionBaseAPIController{},"Get:GetHalfYearInfo")
	beego.Router("/admin/function/getyearinfo",&FunctionBaseAPIController{},"Get:GetYearInfo")
	beego.Router("/admin/function/gettodaydialysisinfo",&FunctionBaseAPIController{},"Get:GetTodayDialysisInfo")
	beego.Router("/api/function/getYesterdayDialysisinfo",&FunctionBaseAPIController{},"Get:GetYesterTodayDialysisInfo")
	beego.Router("/api/function/getweekdialysisinfo",&FunctionBaseAPIController{},"Get:GetWeekDialysisinfo")
	beego.Router("/api/function/getmonthdailysisinfo",&FunctionBaseAPIController{},"Get:GetMonthDailysisInfo")
	beego.Router("/api/function/getthreedialysisinfo",&FunctionBaseAPIController{},"Get:GetThreeMonthDailysisInfo")
	beego.Router("/api/function/gethalfyeardialysisinfo",&FunctionBaseAPIController{},"Get:GetHalfYearDailysisInfo")
	beego.Router("/api/function/getyeardialysisinfo",&FunctionBaseAPIController{},"Get:GetYearDailysisInfo")
	beego.Router("/api/function/gettodayreceiveinfo",&FunctionBaseAPIController{},"Get:GetReceiveinfo")
	beego.Router("/api/function/getyesterdayinfo",&FunctionBaseAPIController{},"Get:GetYesTodayReceiveinfo")
	beego.Router("/api/function/getweekreceiveinfo",&FunctionBaseAPIController{},"Get:GetWeekReceiveinfo")
	beego.Router("/api/function/getMonthreceiveinfo",&FunctionBaseAPIController{},"Get:GetMonthReceiveinfo")
	beego.Router("/api/function/getMonthreereceiveinfo",&FunctionBaseAPIController{},"Get:GetThreeMonthReceiveinfo")
	beego.Router("/api/function/getMonhalfyearreceiveinfo",&FunctionBaseAPIController{},"Get:GetHalfYearReceiveinfo")
	beego.Router("/api/function/getMonyearreceiveinfo",&FunctionBaseAPIController{},"Get:GetYearReceiveinfo")
	beego.Router("/api/function/getBeforDislysis",&FunctionBaseAPIController{},"Get:GetTodayBeforDislysisInfo")
	beego.Router("/api/function/getyesterdayBeforDislysis",&FunctionBaseAPIController{},"Get:GetYesterTodayBeforDislysisInfo")
	beego.Router("/api/function/getmonthBeforDislysis",&FunctionBaseAPIController{},"Get:GetMonthBeforDislysisInfo")
	beego.Router("/api/function/getweekBeforDislysis",&FunctionBaseAPIController{},"Get:GetWeekBeforDislysisInfo")
	beego.Router("/api/function/getThreeMonthBeforDislysis",&FunctionBaseAPIController{},"Get:GetThreeMonthBeforDislysisInfo")
	beego.Router("/api/function/getHalfYearBeforDislysis",&FunctionBaseAPIController{},"Get:GetHalfYearBeforDislysisInfo")
	beego.Router("/api/function/getYearbefordialysisinfo",&FunctionBaseAPIController{},"Get:GetYearBeforDislysisInfo")
	beego.Router("/api/function/gettodayDoctorsOrderInfo",&FunctionBaseAPIController{},"Get:GetTodayDoctorsOrderInfo")
	beego.Router("/api/function/getyearstodayDoctorOrder",&FunctionBaseAPIController{},"Get:GetYesterDayDoctorsOrderInfo")
	beego.Router("/api/function/getWeekDoctorOrder",&FunctionBaseAPIController{},"Get:GetWeekDoctorOrder")
	beego.Router("/api/function/getMonthDoctorOrder",&FunctionBaseAPIController{},"Get:GetMonthDoctorOrder")
	beego.Router("/api/function/getThreeMonthDoctorOrder",&FunctionBaseAPIController{},"Get:GetThreeMonthDoctorOrder")
	beego.Router("/api/function/getHalfYearDoctorOrder",&FunctionBaseAPIController{},"Get:GetHalfYearDoctorOrder")
	beego.Router("/api/function/getYearDoctorOrder",&FunctionBaseAPIController{},"Get:GetYearDoctorOrder")
	beego.Router("/api/function/getTodayDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetTodayDoubleCheckInfo")
	beego.Router("/api/function/getYesTodayDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetYesTodayDoubleCheckInfo")
	beego.Router("/api/function/getweekDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetWeekDoubleCheckInfo")
	beego.Router("/api/function/getMonthDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetMonthDoubleCheckInfo")
	beego.Router("/api/function/getThreeMonthDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetThreeMonthDoubleCheckInfo")
	beego.Router("/api/function/getHalfYearDoubleCheckInfo",&FunctionBaseAPIController{},"Get:GetHalfYearDoubleCheckInfo")
	beego.Router("/api/function/getyeardoublecheck",&FunctionBaseAPIController{},"Get:GetYearDoubleCheckInfo")
	beego.Router("/api/function/getDialysisMachine",&FunctionBaseAPIController{},"Get:GetTodayDialysisMachinek")
	beego.Router("/api/function/getyesterdayDialysisMachine",&FunctionBaseAPIController{},"Get:GetYesterTodayDialysisMachinek")
	beego.Router("/api/function/getweekdialysismachaine",&FunctionBaseAPIController{},"Get:GetWeekDialsysImachaine")
	beego.Router("/api/function/getmonthDialysisMachine",&FunctionBaseAPIController{},"Get:GetMonthDialsysImachaine")
	beego.Router("/api/function/getthreeMonthDialysismachine",&FunctionBaseAPIController{},"Get:GetThreeMonthDialsysImachaine")
	beego.Router("/api/function/gethalfyeardialysismachine",&FunctionBaseAPIController{},"Get:GetHalfYearDialysisMachine")
	beego.Router("/api/function/getyeardialysismachine",&FunctionBaseAPIController{},"Get:GetYearDialysisMachine")
	beego.Router("/api/function/gettodaydialysisexamination",&FunctionBaseAPIController{},"Get:GetTodayDialysisExamination")
	beego.Router("/api/function/getyesterdayDialysisexamination",&FunctionBaseAPIController{},"Get:GetYesTodayDialysisExamination")
	beego.Router("/api/function/getweekdialysisexamination",&FunctionBaseAPIController{},"Get:GetWeekDialysisExamination")
	beego.Router("/api/function/getmonthdialysisexamination",&FunctionBaseAPIController{},"Get:GetMonthDialysisExamination")
	beego.Router("/api/function/getthreeMonthDialysisExamination",&FunctionBaseAPIController{},"Get:GetThreeMonthDialysisExamination")
	beego.Router("/api/function/getHalfYearDialysisExamination",&FunctionBaseAPIController{},"Get:GethalfyearDialysisExamination")
	beego.Router("/api/function/getyeardialysisexamination",&FunctionBaseAPIController{},"Get:GetYearDialysisExamination")
	beego.Router("/api/function/gettodaybeforpenetration",&FunctionBaseAPIController{},"Get:GetTodayBeforOrpenetration")
	beego.Router("/api/function/getyesterdaybeforpenetration",&FunctionBaseAPIController{},"Get:GetYesterDayBeforpinetration")
	beego.Router("/api/function/getWeekBeforPenetration",&FunctionBaseAPIController{},"Get:GetWeekBeforPenetration")
	beego.Router("/api/function/getMonthBeforPenetration",&FunctionBaseAPIController{},"Get:GetMonthBeforPenetration")
	beego.Router("/api/function/getThreeBeforePenetrationMonthInfo",&FunctionBaseAPIController{},"Get:GetThreeMonthBeforPenetration")
	beego.Router("/api/function/getHalfYearPenetration",&FunctionBaseAPIController{},"Get:GetHalfYearBeforPenetration")
	beego.Router("/api/function/getYearBeforPenetration",&FunctionBaseAPIController{},"Get:GetYearBeforPenetration")
	beego.Router("/api/function/getTodayPostAssessment",&FunctionBaseAPIController{},"Get:GetTodayPostAssessment")
	beego.Router("/api/function/getYesterDayPostAssessment",&FunctionBaseAPIController{},"Get:GetYesterDayPostAssessment")
	beego.Router("/api/function/getWeekPostAssessment",&FunctionBaseAPIController{},"Get:GetWeekPostAssessment")
	beego.Router("/api/function/getMonthPostAssessment",&FunctionBaseAPIController{},"Get:GetMonthPostAssessment")
	beego.Router("/api/function/getThreeMonthAssessment",&FunctionBaseAPIController{},"Get:GetThreeMonthAssessment")
	beego.Router("/api/function/getHalfYearPostAssessment",&FunctionBaseAPIController{},"Get:GetHalfYearPostAssessment")
	beego.Router("/api/function/getYearPostAssessment",&FunctionBaseAPIController{},"Get:GetYearPostAssessment")
	beego.Router("/api/function/gettodayentrylist",&FunctionBaseAPIController{},"Get:GetTodayEntrylist")
	beego.Router("/api/function/getyesterdayentrylist",&FunctionBaseAPIController{},"Get:GetYesterdayEntrylist")


}
